summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-10-20 22:35:00 +0200
committerJustin Lecher <jlec@gentoo.org>2015-10-21 15:40:24 +0200
commitdfd20dea2266d307ad5f585e860e6a25cb9a7ffc (patch)
tree8fc5183a8bc7d37262a44f7b217308842fc4cf13 /dev-python/oct2py
parentdev-python/sphinx-bootstrap-theme: Add python3.5 support (diff)
downloadgentoo-dfd20dea2266d307ad5f585e860e6a25cb9a7ffc.tar.gz
gentoo-dfd20dea2266d307ad5f585e860e6a25cb9a7ffc.tar.bz2
gentoo-dfd20dea2266d307ad5f585e860e6a25cb9a7ffc.zip
dev-python/oct2py: Version Bump
fix supported octave version Package-Manager: portage-2.2.23 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-python/oct2py')
-rw-r--r--dev-python/oct2py/Manifest1
-rw-r--r--dev-python/oct2py/metadata.xml10
-rw-r--r--dev-python/oct2py/oct2py-1.3.0-r1.ebuild10
-rw-r--r--dev-python/oct2py/oct2py-3.3.3.ebuild63
4 files changed, 72 insertions, 12 deletions
diff --git a/dev-python/oct2py/Manifest b/dev-python/oct2py/Manifest
index 14368942459..a1ce5686bb4 100644
--- a/dev-python/oct2py/Manifest
+++ b/dev-python/oct2py/Manifest
@@ -1,2 +1,3 @@
DIST oct2py-0.4.0.tar.gz 107828 SHA256 f44da1ff41d8b21806976eaef500f1690c9c023bcd2be9a34d2dbbf26e442f00 SHA512 d62b6c7cc0f3a61e78cd4cd6a43d93a90f5d69187eb946847aa3f1df50edf6402ee845c51094696667afc29c284d6ef6e9af58d74b62ec177c2e4d18108c615e WHIRLPOOL 96da3725d4a53fa74791c219bd03d6adc49f11e47deb0ef864c86acc15f52145e303d4ac669667e79ef90dbb4af4cc7df298f16ebff7d5c20d02710c57c7738b
DIST oct2py-1.3.0.tar.gz 321768 SHA256 f0cae7aae111631c0fffb7f2511ee14fb847b4f501340e8506b0805b50c32f28 SHA512 b9a8896fa463356a08dee7cd2db97bedd5487d93ed33fe73e2c5205118915eac86dcd51dea42dc7338a7f6486704d1c8cb3259c3d8a2b53230c50608d1d043d8 WHIRLPOOL f06214e8005281fec801856596f076a5ad0c35bc3bdc62db3057b320ac1ef8ab07a7f073c4e9ced62ce336c64e773128d333fd0bb26fb891ea6931b84ee22001
+DIST oct2py-3.3.3.tar.gz 666775 SHA256 0b881a25043d7be713dab5d38b0f96acef5a4cf8130e5726cb9a6bec78448180 SHA512 02c80be8480c5b846a4269155c54fbea1ce8642c8bba0ecb6074a2468b20b930f8ba6d5eaae6a8274a02c1c6719e5b96ee5a32c0c4c0697c028c98ffa327c8e5 WHIRLPOOL 6eb6802b07b55a2ad0d56a8728262e1bc5720a0d9fab04e5af3e961e6a68821e9c2b52905507439ba388d6761aea047d45526fb39d1e50ca3b2104b20c20eb27
diff --git a/dev-python/oct2py/metadata.xml b/dev-python/oct2py/metadata.xml
index 3afa342d8a4..2cce516de06 100644
--- a/dev-python/oct2py/metadata.xml
+++ b/dev-python/oct2py/metadata.xml
@@ -1,13 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>sci-mathematics</herd>
-<longdescription lang="en">
+ <herd>sci-mathematics</herd>
+ <longdescription lang="en">
Uses Octave to run commands and m-files. Supports any Octave
function or m-file, passing the data seamlessly between Python and
Octave using MAT files.
</longdescription>
-<upstream>
- <remote-id type="pypi">oct2py</remote-id>
-</upstream>
+ <upstream>
+ <remote-id type="pypi">oct2py</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/dev-python/oct2py/oct2py-1.3.0-r1.ebuild b/dev-python/oct2py/oct2py-1.3.0-r1.ebuild
index fb72839b79d..57561f7cf59 100644
--- a/dev-python/oct2py/oct2py-1.3.0-r1.ebuild
+++ b/dev-python/oct2py/oct2py-1.3.0-r1.ebuild
@@ -4,7 +4,7 @@
EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
inherit distutils-r1
@@ -19,7 +19,7 @@ IUSE="doc examples test"
RDEPEND="
sci-libs/scipy[${PYTHON_USEDEP}]
- sci-mathematics/octave"
+ <sci-mathematics/octave-3.8"
DEPEND="${RDEPEND}
doc? (
dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]
@@ -54,10 +54,6 @@ python_test() {
python_install_all() {
use doc && local HTML_DOCS=( html/. )
+ use examples && EXAMPLES=( example/. )
distutils-r1_python_install_all
-
- if use examples; then
- insinto /usr/share/doc/${PF}
- doins -r example
- fi
}
diff --git a/dev-python/oct2py/oct2py-3.3.3.ebuild b/dev-python/oct2py/oct2py-3.3.3.ebuild
new file mode 100644
index 00000000000..5ed953bb357
--- /dev/null
+++ b/dev-python/oct2py/oct2py-3.3.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python to GNU Octave bridge"
+HOMEPAGE="
+ https://pypi.python.org/pypi/oct2py
+ http://pythonhosted.org/oct2py/
+ http://github.com/blink1073/oct2py"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+
+RDEPEND="
+ >=dev-python/numpy-1.7.1[${PYTHON_USEDEP}]
+ >=sci-libs/scipy-0.12[${PYTHON_USEDEP}]
+ sci-mathematics/octave"
+DEPEND="${RDEPEND}
+ doc? (
+ dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]
+ dev-python/numpydoc[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ # https://github.com/blink1073/oct2py/issues/77
+ sed \
+ -e 's:test_help:disabled:g' \
+ -i oct2py/tests/test_usage.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs html || die
+ fi
+}
+
+python_test() {
+ unset DISPLAY
+ if [[ ${EPYTHON} == python2.7 ]]; then
+ local OPTIONS="--with-doctest"
+ fi
+ nosetests --exe -v oct2py ${OPTIONS} || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( html/. )
+ use examples && EXAMPLES=( example/. )
+ distutils-r1_python_install_all
+}